Support: Requirify

4 support issues

  • All
  • Questions
  • Suggestions
  • Problems

Jonathan Garbee

Sep 30, 2014

Breaks sites

It breaks the Codio online IDE with the insecure request issue that Joey Baker reported.

Also breaks logging into Focus@Will in some way.

This should have a much tighter scope than it does so it isn't breaking web pages even when the DevTools aren't open.

Johan Sundström

Sep 25, 2014

Breaks Quora and Facebook

Overwriting window.require breaks sites using similar ideas but with different implementations.

Joey Baker

Sep 7, 2014

Doesn't work on https sites

Chrome canary blocks requests from https sites to non-https.


```
[blocked] The page at 'https://…' was loaded over HTTPS, but ran insecure content from 'http://wzrd.in/bundle/lodash@latest/': this content should also be loaded over HTTPS.
```

Rich Bradshaw

Sep 1, 2014

Breaks sites with CSP enabled

e.g. Facebook - the page won't even load correctly.

Google apps